com.icesoft.faces.component.tree

## Class Tree

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - com.icesoft.faces.component.tree.Tree

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class Tree
      extends javax.faces.component.UICommand
      implements javax.faces.component.NamingContainer

  Tree is a JSF component class that represent an ICEfaces tree.

  The tree component displays hierarchical data as a "tree" of branches and leaf nodes. Optionally, the tree may also display navigation controls for the dynamic expansion and collapse of branch nodes. Nodes may also support an action event when clicked that can be used to respond to user click events.

  This component extends the JSF UICommand component and implemnents the JSF NamingContainer interface.

  By default this component is rendered by the "com.icesoft.faces.View" renderer type.
  Version:
    1.1
  Author:
    Chris Brown, gmccleary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE` String constant specifying component type
    `static java.lang.String` | `ID_PREFIX` String constant for tree node id prefix.
    `static java.lang.String` | `NAVIGATION_EVENT_COLLAPSE` String constant for tree node collapse event.
    `static java.lang.String` | `NAVIGATION_EVENT_EXPAND` String constant for tree node expand event.
    `protected java.util.Map` | `savedChildren` This map contains `ChildState` instances for each child component, keyed by the client id of the child.

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tree()` default no args constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getComponentType()`
    `javax.swing.tree.DefaultMutableTreeNode` | `getCurrentNode()`
    `java.lang.String` | `getDocumentImage()`
    `javax.swing.tree.TreeModel` | `getDummyModel()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFolderImage()`
    `java.lang.String` | `getFolderOpenImage()`
    `java.lang.String` | `getHideNavigation()`
    `java.lang.String` | `getHideRootNode()`
    `java.lang.String` | `getImage(java.lang.String imageProperty, java.lang.String bindingName, java.lang.String defaultImage)`
    `java.lang.String` | `getImageDir()`
    `java.lang.String` | `getLineBlank()`
    `java.lang.String` | `getLineBlankImage()`
    `java.lang.String` | `getLineBottomImage()`
    `java.lang.String` | `getLineBottomNode()`
    `java.lang.String` | `getLineMiddleImage()`
    `java.lang.String` | `getLineMiddleNode()`
    `java.lang.String` | `getLineVertical()`
    `java.lang.String` | `getLineVerticalImage()`
    `javax.swing.tree.TreeModel` | `getModel()`
    `java.lang.String` | `getNavCloseBottom()`
    `java.lang.String` | `getNavCloseBottomImage()`
    `java.lang.String` | `getNavCloseMiddle()`
    `java.lang.String` | `getNavCloseMiddleImage()`
    `java.lang.String` | `getNavCloseTop()`
    `java.lang.String` | `getNavCloseTopImage()`
    `java.lang.String` | `getNavCloseTopNoSiblings()`
    `java.lang.String` | `getNavCloseTopNoSiblingsImage()`
    `java.lang.String` | `getNavExpandedMiddle()`
    `java.lang.String` | `getNavExpandedTop()`
    `javax.swing.tree.DefaultMutableTreeNode` | `getNavigatedNode()`
    `java.lang.String` | `getNavigationEventType()`
    `java.lang.String` | `getNavOpenBottom()`
    `java.lang.String` | `getNavOpenBottomImage()`
    `java.lang.String` | `getNavOpenMiddle()`
    `java.lang.String` | `getNavOpenMiddleImage()`
    `java.lang.String` | `getNavOpenTop()`
    `java.lang.String` | `getNavOpenTopImage()`
    `java.lang.String` | `getNavOpenTopNoSiblings()`
    `java.lang.String` | `getNavOpenTopNoSiblingsImage()`
    `javax.swing.tree.DefaultMutableTreeNode` | `getNodeAtPathsEnd(java.lang.String pathToSelectedNode)`
    `java.lang.String` | `getNodePath()`
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getStyle()` Set the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Set the value of the `styleClass` property.
    `java.lang.String` | `getTitle()`
    `TreeNode` | `getTreeNodeTemplate()`
    `java.lang.String` | `getVar()`
    `boolean` | `invokeOnComponent(javax.faces.context.FacesContext context, java.lang.String clientId, javax.faces.component.ContextCallback callback)`
    `boolean` | `isKeyboardNavigationEnabled()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `protected void` | `restoreChild(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)` Restore state information for the given child component.
    `protected void` | `restoreChildrenState(javax.faces.context.FacesContext context)` Restore state information for all child components.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` restore the tree component state
    `protected void` | `saveChild(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)` Save state information for the given child component.
    `protected void` | `saveChildrenState(javax.faces.context.FacesContext context)` Save state information for all children of this component.
    `protected void` | `saveChildState(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)` Save state information for the given child component and its children.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` save the tree component state
    `void` | `setCurrentNode(javax.swing.tree.DefaultMutableTreeNode currentNode)`
    `void` | `setDocumentImage(java.lang.String documentImage)`
    `void` | `setFolderImage(java.lang.String folderImage)`
    `void` | `setFolderOpenImage(java.lang.String folderOpenImage)`
    `void` | `setHideNavigation(java.lang.String b)`
    `void` | `setHideRootNode(java.lang.String b)`
    `void` | `setImageDir(java.lang.String imageDir)`
    `void` | `setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)`
    `void` | `setLineBlank(java.lang.String lineBlank)`
    `void` | `setLineBottomNode(java.lang.String lineBottomNode)`
    `void` | `setLineMiddleNode(java.lang.String lineMiddleNode)`
    `void` | `setLineVertical(java.lang.String lineVertical)`
    `void` | `setNavCloseBottom(java.lang.String navCloseBottom)`
    `void` | `setNavCloseMiddle(java.lang.String navCloseMiddle)`
    `void` | `setNavCloseTop(java.lang.String navCloseTop)`
    `void` | `setNavCloseTopNoSiblings(java.lang.String navCloseTopNoSiblings)`
    `void` | `setNavExpandedMiddle(java.lang.String navExpandedMiddle)`
    `void` | `setNavExpandedTop(java.lang.String navExpandedTop)`
    `void` | `setNavigatedNode(javax.swing.tree.DefaultMutableTreeNode navigatedNode)`
    `void` | `setNavigationEventType(java.lang.String string)`
    `void` | `setNavOpenBottom(java.lang.String navOpenBottom)`
    `void` | `setNavOpenMiddle(java.lang.String navOpenMiddle)`
    `void` | `setNavOpenTop(java.lang.String navOpenTop)`
    `void` | `setNavOpenTopNoSiblings(java.lang.String navOpenTopNoSiblings)`
    `void` | `setNodePath(java.lang.String nodePath)`
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTitle(java.lang.String title)`
    `void` | `setVar(java.lang.String var)`
    `boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAVIGATION_EVENT_COLLAPSE

          public static final java.lang.String NAVIGATION_EVENT_COLLAPSE

      String constant for tree node collapse event.
      See Also:
        Constant Field Values

    - #### NAVIGATION_EVENT_EXPAND

          public static final java.lang.String NAVIGATION_EVENT_EXPAND

      String constant for tree node expand event.
      See Also:
        Constant Field Values

    - #### ID_PREFIX

          public static final java.lang.String ID_PREFIX

      String constant for tree node id prefix.
      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      String constant specifying component type
      See Also:
        Constant Field Values

    - #### savedChildren

          protected java.util.Map savedChildren

      This map contains `ChildState` instances for each child component, keyed by the client id of the child.

  - ### Constructor Detail

    - #### Tree

          public Tree()

      default no args constructor

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`
      Returns:
        the renderer type of the tree component.

    - #### getComponentType

          public java.lang.String getComponentType()

      Returns:
        the component type of the tree component.

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### setCurrentNode

          public void setCurrentNode(javax.swing.tree.DefaultMutableTreeNode currentNode)

      Parameters:
        `currentNode` -

    - #### getCurrentNode

          public javax.swing.tree.DefaultMutableTreeNode getCurrentNode()

      Returns:
        DefaultMutableTreeNode currentNode

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### setNodePath

          public void setNodePath(java.lang.String nodePath)

      Parameters:
        `nodePath` -

    - #### getNodePath

          public java.lang.String getNodePath()

      Returns:
        String nodePath

    - #### getModel

          public javax.swing.tree.TreeModel getModel()

      Returns:
        TreeModel model associated with tree

    - #### getDummyModel

          public javax.swing.tree.TreeModel getDummyModel()

    - #### getTreeNodeTemplate

          public TreeNode getTreeNodeTemplate()
                                       throws MalformedTreeTagException

      Returns:
        TreeNode template
      Throws:
        `MalformedTreeTagException`

    - #### getNodeAtPathsEnd

          public javax.swing.tree.DefaultMutableTreeNode getNodeAtPathsEnd(java.lang.String pathToSelectedNode)

      Parameters:
        `pathToSelectedNode` -
      Returns:
        DefaultMutableTreeNode node at specified path

    - #### getImageDir

          public java.lang.String getImageDir()

      Returns:
        String imageDir

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Set the value of the `styleClass` property.

      Returns:
        String style class property value.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Parameters:
        `styleClass` -

    - #### getStyle

          public java.lang.String getStyle()

      Set the value of the `style` property.

      Returns:
        String style property value.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Parameters:
        `style` -

    - #### getImage

          public java.lang.String getImage(java.lang.String imageProperty,
                                           java.lang.String bindingName,
                                           java.lang.String defaultImage)

      Parameters:
        `imageProperty` -
        `bindingName` -
        `defaultImage` -
      Returns:
        String img src

    - #### getFolderImage

          public java.lang.String getFolderImage()

      Returns:
        String folder img src

    - #### getFolderOpenImage

          public java.lang.String getFolderOpenImage()

      Returns:
        String folder open img src

    - #### getDocumentImage

          public java.lang.String getDocumentImage()

      Returns:
        String document img src

    - #### getLineBottomImage

          public java.lang.String getLineBottomImage()

      Returns:
        String line bottom img src

    - #### getLineVerticalImage

          public java.lang.String getLineVerticalImage()

      Returns:
        String line vertical img src

    - #### getLineMiddleImage

          public java.lang.String getLineMiddleImage()

      Returns:
        String line middle img src

    - #### getNavCloseMiddleImage

          public java.lang.String getNavCloseMiddleImage()

      Returns:
        String navigation close middle img src

    - #### getNavOpenMiddleImage

          public java.lang.String getNavOpenMiddleImage()

      Returns:
        String navigation open middle img src

    - #### getNavCloseTopImage

          public java.lang.String getNavCloseTopImage()

      Returns:
        String navigation close top img src

    - #### getNavOpenTopImage

          public java.lang.String getNavOpenTopImage()

      Returns:
        String navigation open top img src

    - #### getNavOpenTopNoSiblingsImage

          public java.lang.String getNavOpenTopNoSiblingsImage()

      Returns:
        String navigation open top img src

    - #### getNavCloseTopNoSiblingsImage

          public java.lang.String getNavCloseTopNoSiblingsImage()

      Returns:
        String navigation close top img src

    - #### getNavCloseBottomImage

          public java.lang.String getNavCloseBottomImage()

      Returns:
        String navigation close bottom img src

    - #### getNavOpenBottomImage

          public java.lang.String getNavOpenBottomImage()

      Returns:
        String navigation open bottom img src

    - #### getLineBlankImage

          public java.lang.String getLineBlankImage()

      Returns:
        String blank img src

    - #### getLineBottomNode

          public java.lang.String getLineBottomNode()

      Returns:
        String line bottom node

    - #### setLineBottomNode

          public void setLineBottomNode(java.lang.String lineBottomNode)

      Parameters:
        `lineBottomNode` -

    - #### getLineMiddleNode

          public java.lang.String getLineMiddleNode()

      Returns:
        String line middle node

    - #### setLineMiddleNode

          public void setLineMiddleNode(java.lang.String lineMiddleNode)

      Parameters:
        `lineMiddleNode` -

    - #### getLineVertical

          public java.lang.String getLineVertical()

      Returns:
        String line vertical

    - #### setLineVertical

          public void setLineVertical(java.lang.String lineVertical)

      Parameters:
        `lineVertical` -

    - #### getNavExpandedMiddle

          public java.lang.String getNavExpandedMiddle()

      Returns:
        String navigation expand middle

    - #### setNavExpandedMiddle

          public void setNavExpandedMiddle(java.lang.String navExpandedMiddle)

      Parameters:
        `navExpandedMiddle` -

    - #### getNavExpandedTop

          public java.lang.String getNavExpandedTop()

      Returns:
        String navigation expanded top

    - #### setNavExpandedTop

          public void setNavExpandedTop(java.lang.String navExpandedTop)

      Parameters:
        `navExpandedTop` -

    - #### setImageDir

          public void setImageDir(java.lang.String imageDir)

      Parameters:
        `imageDir` -

    - #### setDocumentImage

          public void setDocumentImage(java.lang.String documentImage)

      Parameters:
        `documentImage` -

    - #### setFolderImage

          public void setFolderImage(java.lang.String folderImage)

      Parameters:
        `folderImage` -

    - #### getNavCloseTop

          public java.lang.String getNavCloseTop()

      Returns:
        String navigation close top

    - #### setNavCloseTop

          public void setNavCloseTop(java.lang.String navCloseTop)

      Parameters:
        `navCloseTop` -

    - #### getNavOpenTop

          public java.lang.String getNavOpenTop()

      Returns:
        String navigation open top

    - #### setNavOpenTop

          public void setNavOpenTop(java.lang.String navOpenTop)

      Parameters:
        `navOpenTop` -

    - #### getNavOpenTopNoSiblings

          public java.lang.String getNavOpenTopNoSiblings()

      Returns:
        String navigation open top

    - #### setNavOpenTopNoSiblings

          public void setNavOpenTopNoSiblings(java.lang.String navOpenTopNoSiblings)

      Parameters:
        `navOpenTopNoSiblings` -

    - #### getNavCloseTopNoSiblings

          public java.lang.String getNavCloseTopNoSiblings()

      Returns:
        String navigation close top

    - #### setNavCloseTopNoSiblings

          public void setNavCloseTopNoSiblings(java.lang.String navCloseTopNoSiblings)

      Parameters:
        `navCloseTopNoSiblings` -

    - #### setFolderOpenImage

          public void setFolderOpenImage(java.lang.String folderOpenImage)

      Parameters:
        `folderOpenImage` -

    - #### getNavCloseBottom

          public java.lang.String getNavCloseBottom()

      Returns:
        String navigation close bottom

    - #### setNavCloseBottom

          public void setNavCloseBottom(java.lang.String navCloseBottom)

      Parameters:
        `navCloseBottom` -

    - #### getNavCloseMiddle

          public java.lang.String getNavCloseMiddle()

      Returns:
        String navigation close middle

    - #### setNavCloseMiddle

          public void setNavCloseMiddle(java.lang.String navCloseMiddle)

      Parameters:
        `navCloseMiddle` -

    - #### getNavOpenBottom

          public java.lang.String getNavOpenBottom()

      Returns:
        String navigation open bottom

    - #### setNavOpenBottom

          public void setNavOpenBottom(java.lang.String navOpenBottom)

      Parameters:
        `navOpenBottom` -

    - #### getNavOpenMiddle

          public java.lang.String getNavOpenMiddle()

      Returns:
        String navigation open middle

    - #### setNavOpenMiddle

          public void setNavOpenMiddle(java.lang.String navOpenMiddle)

      Parameters:
        `navOpenMiddle` -

    - #### getVar

          public java.lang.String getVar()

      Returns:
        String var

    - #### setVar

          public void setVar(java.lang.String var)

      Parameters:
        `var` -

    - #### getLineBlank

          public java.lang.String getLineBlank()

      Returns:
        String lineBlank

    - #### setLineBlank

          public void setLineBlank(java.lang.String lineBlank)

      Parameters:
        `lineBlank` -

    - #### getNavigatedNode

          public javax.swing.tree.DefaultMutableTreeNode getNavigatedNode()

      Returns:
        DefaultMutableTreeNode navigatedNode

    - #### setNavigatedNode

          public void setNavigatedNode(javax.swing.tree.DefaultMutableTreeNode navigatedNode)

      Parameters:
        `navigatedNode` -

    - #### setNavigationEventType

          public void setNavigationEventType(java.lang.String string)

      Parameters:
        `string` -

    - #### getNavigationEventType

          public java.lang.String getNavigationEventType()

      Returns:
        String navigationEventType

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      save the tree component state
      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`
      Parameters:
        `context` -
      Returns:
        Object values[]

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      restore the tree component state
      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`
      Parameters:
        `context` -
        `state` -

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UICommand`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UICommand`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getHideNavigation

          public java.lang.String getHideNavigation()

      Returns:
        String hideNavigation

    - #### setHideNavigation

          public void setHideNavigation(java.lang.String b)

      Parameters:
        `b` -

    - #### getHideRootNode

          public java.lang.String getHideRootNode()

      Returns:
        String hideRootNode

    - #### setHideRootNode

          public void setHideRootNode(java.lang.String b)

      Parameters:
        `b` -

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### restoreChildrenState

          protected void restoreChildrenState(javax.faces.context.FacesContext context)

      Restore state information for all child components.

      Parameters:
        `context` -

    - #### restoreChild

          protected void restoreChild(javax.faces.component.UIComponent component,
                                      javax.faces.context.FacesContext context)

      Restore state information for the given child component.

      Parameters:
        `component` -
        `context` -

    - #### saveChildrenState

          protected void saveChildrenState(javax.faces.context.FacesContext context)

      Save state information for all children of this component.

      Parameters:
        `context` -

    - #### saveChild

          protected void saveChild(javax.faces.component.UIComponent component,
                                   javax.faces.context.FacesContext context)

      Save state information for the given child component.

      Parameters:
        `component` -
        `context` -

    - #### saveChildState

          protected void saveChildState(javax.faces.component.UIComponent component,
                                        javax.faces.context.FacesContext context)

      Save state information for the given child component and its children.

      Parameters:
        `component` -
        `context` -

    - #### invokeOnComponent

          public boolean invokeOnComponent(javax.faces.context.FacesContext context,
                                           java.lang.String clientId,
                                           javax.faces.component.ContextCallback callback)
                                    throws javax.faces.FacesException

      Overrides:
        `invokeOnComponent` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.FacesException`

    - #### visitTree

          public boolean visitTree(javax.faces.component.visit.VisitContext context,
                                   javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitTree` in class `javax.faces.component.UIComponent`

    - #### isKeyboardNavigationEnabled

          public boolean isKeyboardNavigationEnabled()

    - #### setKeyboardNavigationEnabled

          public void setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.